<?
$sub_menu = "400330";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();

$rs_tables	= sql_query("SHOW TABLES from $mysql_db");

$g4[title] = "최신글 CACHE 파일 정리";
include_once("./admin.head.php");
?>
<style type="text/css">
.msg		{ padding:5px; color:#616161; border:1px solid #DFDFDF; background-color:#F7F7F7; font-family:나눔고딕; }
.chbtn		{ text-align:center; padding:20px; }
#loading	{ padding:2px; text-align:left; color:#2080D0; font-size:13px; }
#search_condition	{ padding:5px; text-align:center; border:1px solid #DFDFDF; margin:1px 0 1px 0; background-color:#FFFFE0; }
</style>

<div class="msg">
임시로 사용했던 cache 파일을 정리 합니다.
</div>
<div class="chbtn"><input type="button" value="Cache 파일을 정리합니다." onClick="zm_gourl('?mode=del_cache');" class="btn1"></div>
<?
//-- 캐시 파일 정리 하기 --------------------------------------------------------------------------
if($mode == "del_cache") {
	$dir	= "$g4[path]/data/zm.exp/cache";					//-- 캐시 파일 경로

	echo "<div id='loading'>Cache 파일 정리 준비...</div>";

	$tmp_dir_list	= zm_get_dir($dir);
	$i	= 0;
	foreach($tmp_dir_list as $key=>$val) {
		$dir_list[$i]	= $val[name];
		$i++;
	}

	echo "<div id='loading'>Cache 파일 정리 중...</div>";

	for($i = 0; $i < count($dir_list); $i++) {
		$cache_path	= $dir . "/" . $dir_list[$i];
		if($dir_list[$i] != "index.php") @unlink($cache_path);
	}

	//-- 알리미 캐시 정리
	$rd	= sql_fetch("show tables like 'zm_alimi'");
	if($rd) {
		sql_query("delete from zm_alimi where db_datetime='0000-00-00 00:00:00'");
	}


	echo "<div id='loading'>Cache 파일 정리 끝...</div>";
}

include_once("./admin.tail.php");
?>